## view.xhtml
Class TextInput

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.EmptyElement
                  view.xhtml.Input
                      view.xhtml.TextInput

    public class TextInput

extends Input

Nested Class Summary

Nested classes/interfaces inherited from class view.xhtml.Input
`Input.InputType`

Constructor Summary
`TextInput(int size, java.lang.String name)` Constructs the element.
`TextInput(int size, java.lang.String name, java.lang.String text)` As above, but...

Method Summary

Methods inherited from class view.xhtml.EmptyElement
`getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextInput

    public TextInput(int size,
                     java.lang.String name)

  Constructs the element.

  Parameters:
    `size` - a value for the 'size' attribute.
    `name` - a value for the 'name' attribute.

### TextInput

    public TextInput(int size,
                     java.lang.String name,
                     java.lang.String text)

  As above, but...

  Parameters:
    `text` - a text to add automatically to itself.